Subject: Re: [PATCH v4 0/5] meson: add corresponding target for Makefile's hdr-check

From: Phillip Wood <[email-masked]>
Date: Wed, 23 Apr 2025 11:04:37 +0100

On 21/04/2025 21:40, Junio C Hamano wrote:
> Phillip Wood <[email-masked]> writes:
> 
> Yuck.  I somehow thought that CI jobs are always using a git
> checkout, not tarball extract (after all, that is what
> actions/checkout implies to me X-<). 

That's what I'd assumed as well, I was quite surprised when I realized 
the "checkout" action was actually unpacking a tarball

Best Wishes

Phillip

> Of course it is good to
> automatically ensure that our tarball extracts are buildable, but
> the way tarballs are built upon release is probably different from
> how these tarballs are made automatically (*), so in that sense not
> building from a repository but building from "git archive" extract
> is not doing anybody a service.
> 
> 
> [Footnote]
> 
>   * "make dist" is how a release tarball is built for this project,
>     not "git archive dist.tar HEAD".
>